@file:Suppress("UNCHECKED_CAST", "USELESS_CAST", "INAPPLICABLE_JVM_NAME", "UNUSED_ANONYMOUS_PARAMETER", "SENSELESS_COMPARISON", "NAME_SHADOWING", "UNNECESSARY_NOT_NULL_ASSERTION")
package uni.UNIHelloUniAppX
import io.dcloud.uniapp.*
import io.dcloud.uniapp.extapi.*
import io.dcloud.uniapp.framework.*
import io.dcloud.uniapp.runtime.*
import io.dcloud.uniapp.vue.*
import io.dcloud.uniapp.vue.shared.*
import io.dcloud.unicloud.*
import io.dcloud.uts.*
import io.dcloud.uts.Map
import io.dcloud.uts.Set
import io.dcloud.uts.UTSAndroid
import kotlin.properties.Delegates
import io.dcloud.uniapp.extapi.showToast as uni_showToast
open class GenPagesUniUiFabButtonFabButton : BasePage {
    constructor(__ins: ComponentInternalInstance, __renderer: String?) : super(__ins, __renderer) {
        onLoad(fun(_: OnLoadOptions) {
            stat_instance.onLoad(this)
        }
        , __ins)
        onPageShow(fun() {
            stat_instance.onShow(this)
        }
        , __ins)
        onPageHide(fun() {
            stat_instance.onHide(this)
        }
        , __ins)
        onUnload(fun() {
            stat_instance.onUnload(this)
        }
        , __ins)
    }
    companion object {
        @Suppress("UNUSED_PARAMETER", "UNUSED_VARIABLE")
        var setup: (__props: GenPagesUniUiFabButtonFabButton) -> Any? = fun(__props): Any? {
            val __ins = getCurrentInstance()!!
            val _ctx = __ins.proxy as GenPagesUniUiFabButtonFabButton
            val _cache = __ins.renderCache
            val clickme = fun(){
                uni_showToast(ShowToastOptions(title = "点击了右下角的fab", icon = "none"))
            }
            return fun(): Any? {
                val _component_uni_fab_button = resolveEasyComponent("uni-fab-button", GenUniModulesUniFabButtonComponentsUniFabButtonUniFabButtonClass)
                return _cE("view", _uM("style" to _nS(_uM("flex" to "1", "position" to "relative", "padding" to "15px 15px 0 15px"))), _uA(
                    _cE("text", _uM("class" to "label first-label"), "标准uni-fab-button"),
                    _cV(_component_uni_fab_button),
                    _cE("text", _uM("class" to "label"), "自定义fab样式"),
                    _cV(_component_uni_fab_button, _uM("class" to "custom-class")),
                    _cE("text", _uM("class" to "label"), "自定义plus样式"),
                    _cV(_component_uni_fab_button, _uM("plus-class" to "custom-plus-class")),
                    _cE("text", _uM("class" to "label"), "自定义fab和plus样式，变成一个16px的纯+"),
                    _cV(_component_uni_fab_button, _uM("class" to "transparent", "plus-class" to "black-plus")),
                    _cV(_component_uni_fab_button, _uM("class" to "right-bottom", "hover-class" to "fab-hover", "onClick" to clickme))
                ), 4)
            }
        }
        val styles: Map<String, Map<String, Map<String, Any>>> by lazy {
            _nCS(_uA(
                styles0
            ))
        }
        val styles0: Map<String, Map<String, Map<String, Any>>>
            get() {
                return _uM("label" to _pS(_uM("color" to "var(--text-color, #333333)", "marginTop" to 24, "marginBottom" to 12)), "first-label" to _pS(_uM("marginTop" to 0)), "custom-class" to _pS(_uM("backgroundColor" to "#008000", "width" to 20, "height" to 20)), "custom-plus-class" to _pS(_uM("backgroundColor" to "#A52A2A", "width" to "80%", "height" to 5, "borderTopLeftRadius" to 0, "borderTopRightRadius" to 0, "borderBottomRightRadius" to 0, "borderBottomLeftRadius" to 0)), "transparent" to _pS(_uM("width" to 16, "height" to 16, "backgroundColor" to "rgba(0,0,0,0)", "boxShadow" to "none")), "black-plus" to _pS(_uM("backgroundColor" to "#000000", "width" to "100%", "height" to 2, "borderTopLeftRadius" to 0, "borderTopRightRadius" to 0, "borderBottomRightRadius" to 0, "borderBottomLeftRadius" to 0)), "right-bottom" to _pS(_uM("position" to "absolute", "right" to 44, "bottom" to 44, "transitionProperty" to "transform", "transitionDuration" to "0.1s", "transitionTimingFunction" to "ease")), "fab-hover" to _pS(_uM("opacity" to 0.8, "transform" to "scale(0.8)")), "@TRANSITION" to _uM("right-bottom" to _uM("property" to "transform", "duration" to "0.1s", "timingFunction" to "ease")))
            }
        var inheritAttrs = true
        var inject: Map<String, Map<String, Any?>> = _uM()
        var emits: Map<String, Any?> = _uM()
        var props = _nP(_uM())
        var propsNeedCastKeys: UTSArray<String> = _uA()
        var components: Map<String, CreateVueComponent> = _uM()
    }
}
